#!/usr/bin/perl -w

#
# Copyright 2007, Adrian Chadd. All Rights Reserved.
#
# This is just a very simple hack to play around with pie chart generation!
#

use GD::Graph::pie;
use CGI;

my ($q) = new CGI;

# grab required data
my ($width) = $q->param("width");
my ($height) = $q->param("height");
my ($o_3d) = $q->param("3d");
my ($start_angle) = $q->param("start_angle");
my (@labels) = split(/,/, $q->param("labels"));
my (@points) = split(/,/, $q->param("points"));

my @data  = ( [ @labels ], [ @points ] );

my ($graph) = new GD::Graph::pie($width, $height);
$graph->set(
	axislabelclr => "black",
	'3d' => $o_3d,
	start_angle => $start_angle,
	suppress_angle => 5,
	show_values => 1

) or warn $graph->error;


$graph->set_title_font("/usr/local/share/rrdtool/fonts/DejaVuSansMono-Roman.ttf", 12);
$graph->set_value_font("/usr/local/share/rrdtool/fonts/DejaVuSansMono-Roman.ttf", 8);
$graph->set_label_font("/usr/local/share/rrdtool/fonts/DejaVuSansMono-Roman.ttf", 6);

$graph->plot(\@data);

print "Content-Type: image/png\r\n\r\n";
print $graph->gd->png();

